# mms2mail

Mail bridge for mmsd.

mms2mail: 
* convert incoming mms from mmsd to mail and store it in unix mbox.
* provide a smtp server converting mail to mms with mmsd.

By default:
* store mails in the current user mbox (```/var/mail/$USER```) 
  * in case the mbox is locked by another process the output could be found in ```$HOME/.mms/failsafembox```
* listen on localhost port 2525 for mail

## installation

### dependency

 - python3 
 - python3-aiosmtpd
 - python3-pydbus
 - python-messaging (pip install python-messaging)

### setup
Install the dependency and mms2mail (on debian based distribution): 
```
sudo apt-get install python3
sudo apt-get install python3-pydbus
sudo apt-get install python3-aiosmtpd
pip install --user python-messaging

mkdir -p ~/.local/bin
cp mms2mail ~/.local/bin
```
To enable the daemon mode in systemd user : 
```
mkdir -p ~/.config/systemd/user
cp mms2mail.service ~/.config/systemd/user/
systemctl --user daemon-reload 
systemctl --user enable mms2mail
systemctl --user start mms2mail
```

Depending on your distribution, you might have to add your account to the ```mail``` group to be able to lock and use the system mbox.
On Debian based distribution :
```
sudo addgroup $(whoami) mail
```
  
### config
An optional configuration file can be put in the home folder : ```$HOME/.mms/modemmanager/mms2mail.ini```. The default value are : 

```
[mail]
mailbox = /var/mail/$USER  ; the mailbox where mms are appended
user = $USER               ; the user account specified as recipient
domain = $HOSTNAME         ; the domain part appended to phone number and user
attach_mms = false         ; whether to attach the full mms binary file
delete_from_mmsd = false   ; delete mms from mmsd storage upon successful conversion

[smtp]
hostname = localhost
port = 2525
```

## usage 

### reference
```
 mms2mail [-h] [-d | -f FILES [FILES ...]] [--disable-smtp] [--disable-mms-delivery] [--delete] [--force-read] [--force-unlock] [-l {critical,error,warning,info,debug}]

optional arguments:
  -h, --help            show this help message and exit
  -d, --daemon          start in daemon mode
  -f FILES [FILES ...], --file FILES [FILES ...]
                        Start in batch mode, parse specified mms files
  --disable-smtp
  --disable-mms-delivery
  --delete              Ask mmsd to delete the converted MMS
  --force-read          Force conversion even if MMS is marked as read
  --force-unlock        BEWARE COULD LEAD TO WHOLE MBOX CORRUPTION Force unlocking the mbox after a few minutes /!\
  -l {critical,error,warning,info,debug}, --logging {critical,error,warning,info,debug}
                        Define the logger output level
```

### Using with Mutt :
To be able to send mms with mutt you need it to be built with SMTP support. 
And and the following line in your ```$HOME/.muttrc```:
```
set smtp_url = "smtp://localhost:2525"
set ssl_starttls = no
set ssl_force_tls = no

```